using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsZoneActivateDaily {

        //시간별 건물 가동 정보
        [Display(Name = "현장고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "건물번호"), Key]
        public int BuildingId { get; set; }
        [Display(Name = "존코드"), Key]
        public int ZoneId { get; set; }
        [Display(Name = "냉난방구분"), Key]
        public short? ServiceTypeId { get; set; }
        [Display(Name = "생성일자"), Key]
        public string CreatedDate { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H00 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H01 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H02 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H03 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H04 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H05 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H06 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H07 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H08 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H09 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H10 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H11 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H12 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H13 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H14 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H15 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H16 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H17 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H18 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H19 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H20 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H21 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H22 { get; set; }
        [Display(Name = "시간 별 건물의 존 가동 여부")]
        public bool? H23 { get; set; }

        [ForeignKey("SiteId,BuildingId,ZoneId,ServiceTypeId")]
        public virtual BemsZoneActivate BemsZoneActivate { get; set; }
    }
}
